spipzine

Accueil > Pas demain la veille > Spipophone > SPIP 192b

SPIP 192b

jeudi 24 mai 2007, par polatouche

Nous venons de sortir un nouveau paquet pour la version "stable" de SPIP, numéroté SPIP 1.9.2b.

Ce paquet ne contient que quelques petites corrections depuis la 1.9.2a [pas de sécurité], et aucune nouvelle fonctionnalité. Toutefois la mise à jour est très simple, inutile de s’en priver :

- Si vous avez installé SPIP avec "spip_loader", il suffit de vous connecter puis de cliquer sur spip_loader.php
- Sinon il suffit de remplacer les fichiers de SPIP par ceux du paquet zip qui se trouve à l’endroit habituel http://www.spip.net/fr_download.

Les modifications sont documentées ici : http://www.spip.net/fr_article3567.....

- lien [bla{blabla}->url] était cassé, sauf dans le cas ou on avait un hreflang
- plusieurs corrections dans calendrier
- toujours un effort pour rendre SPIP xhtml compliant
- ¡ qui apparaissait lors d’une restauration en espagnol
- renforcement vis à vis des PREG défaillants de PHP-4.4.6
- langue d’accueil fixée par le visiteur lors de l’installation
- règle les float sans largeur fixée après passage dans win_png.htc sur IE
- syntaxe incorrecte dans l’installation LDAP
- rafraichissement des documents après téléchargement dans IE et Opera
- fonction import_identifie_id_type() en double
- sécuriser l’argument de parametre_url
- <INCLURE(xxxxx.php3)> etait cassée
- mauvais include pour des erreurs de squelettes
- crash dans autoriser si spip_query() n’a pas encore été chargée
- upgrade partiellement défaillant sur des vieilles versions
- images impossibles à associer à l’article si les documents sont interdits
- mauvais enregistrement des révisions partielles (avec les crayons par exemple)
- le filtre couper() crashait sur une note de bas de page de plusieurs lignes vers le début du texte
- fixe SQL auteur dans certains autoriser()

L’équipe de développement de SPIP.

Messages

  • Il reste toujours un problème avec IE sur la page privée de visualisation des articles (ecrire/ ?exec=articles) :

    on ne peut pas demander l’affichage de la date_redac car il n’y a pas de bouton "changer"

    Pour le corriger, j’ai dû supprimer des "float" dans la fonction inc_dater mais ce n’est pas très propre.

    Il y a hélas encore beaucoup de visiteurs qui utilisent IE.

    Je n’ai pas trouvé le forum où il fallait mettre ce post : excusez-moi de le mettre ici, car ce n’est pas très approprié, mais ce bug traîne depuis le début de la 1.9.

    Voir en ligne : http://tomirail.net

  • Bonjour,

    J’utilise le 1.9.2.b pour créer un site, mais quand je suis obligé à déménager le site pour le client, ça ne marche pas trop bien. Je pense qu’il s’agit de mauvaises versions de MySQL et/ou de PHP chez l’hérbergeur choisi par le client, mais je ne trouve nul part dans le monde spipien quel version de MySQL est nécessaire pour 1.9.2b.

    En plus, j’ai vu sur les forums de forms&tables que peut-être ça nécessite un version de MySQL 4, mais personne ne répond jamais.

    Je trouve qu’il est primordiale de constater et garantir la base minimale pour un logiciel comme SPIP, que je trouve magnifique, mais documenté un peu à la hasard, non ?

    Alors, sans être troll ... ou peut-on trouver les recommandations de logiciel nécessaire pour une bonne fonctionnement de SPIP 1.9.2b et forms&tables_1_9 ?

    Merci d’avance !!